{"swagger":"2.0","info":{"description":"提供591租屋物件查詢之api，提供幾個特殊查詢方法","version":"1.0.0","title":"591 Rent API","contact":{"email":"yizhen1223@gmail.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"developers","description":"Operations available to regular developers"}],"paths":{"/region={region}/gender={gender}/limit={limit}":{"get":{"tags":["developers"],"operationId":"apiByRegionGender","description":"可設定查詢特定地區與性別要求的物件，\n例：查詢【男生可承租】且【位於新北】的租屋物件。\n","produces":["application/json"],"parameters":[{"in":"path","name":"region","type":"string","required":true,"description":"輸入指定查詢地區(1:台北市, 2:新北市)"},{"in":"path","name":"gender","type":"string","required":true,"description":"輸入指定性別要求(0:男女皆可, 1:限男, 2:限女)，可利用&選擇多條件"},{"in":"path","name":"limit","type":"integer","required":true,"description":"指定最多回傳的紀錄筆數，輸入0即為無設置"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"$ref":"#/definitions/Item_NewTaipei_boy"}}}}}},"/region={region}/renter_gender={renter_gender}/renter_name={lastName}/limit={limit}":{"get":{"tags":["developers"],"operationId":"apiByRenter","description":"可查詢指定地區、屋主性別與姓氏資訊的租屋物件，\n例：【臺北】【屋主為女性】【姓氏 為吳】所刊登的所有租屋物件。\n","produces":["application/json"],"parameters":[{"in":"path","name":"region","description":"輸入指定查詢地區(1:台北市, 2:新北市)","required":true,"type":"string"},{"in":"path","name":"renter_gender","type":"string","required":true,"description":"指定屋主性別(0:不指定, 1:女性, 2:男性)"},{"in":"path","name":"lastName","type":"string","required":true,"description":"指定屋主姓氏"},{"in":"path","name":"limit","type":"integer","required":true,"description":"指定最多回傳的紀錄筆數，輸入0即為無設置"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"$ref":"#/definitions/Item_Taipei_msWu"}}}}}},"/renter_id={renter_id}/limit={limit}":{"get":{"tags":["developers"],"operationId":"apiByRenterID","description":"所有【非屋主自行刊登】的租屋物件\n","produces":["application/json"],"parameters":[{"in":"path","name":"renter_id","description":"指定屋主身分(0:非屋主自租, 1:屋主自租)","type":"string","required":true},{"in":"path","name":"limit","type":"integer","required":true,"description":"指定最多回傳的紀錄筆數，輸入0即為無設置"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"$ref":"#/definitions/Item_renterNotOwner"}}}}}},"/renter_tel={renter_tel}/limit={limit}":{"get":{"tags":["developers"],"operationId":"apiByRenterTel","description":"輸入出租者連絡電話進行物件查詢。","produces":["application/json"],"parameters":[{"in":"path","name":"renter_tel","description":"可輸入出租者聯絡電話進行查詢。","type":"string","required":true},{"in":"path","name":"limit","type":"integer","required":true,"description":"指定最多回傳的紀錄筆數，輸入0即為無設置"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"$ref":"#/definitions/Item"}}}}}},"/item":{"get":{"tags":["developers"],"operationId":"apiByRequest","description":"上述查詢都可以藉由使用Request Body Data 直接輸入篩選條件進行查詢。(輸入格式為JSON)","produces":["application/json"],"parameters":[{"in":"body","name":"request","description":"在Filter處輸入查詢的篩選條件","schema":{"$ref":"#/definitions/Request"}}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"$ref":"#/definitions/Item_Taipei_msWu"}}}}}}},"definitions":{"Request":{"type":"object","properties":{"Filter":{"$ref":"#/definitions/Request_condition"}}},"Request_condition":{"type":"object","properties":{"地區":{"type":"string","example":"台北市"},"出租者身分":{"type":"string","example":"屋主"},"出租者":{"$ref":"#/definitions/Request_condition_regex"}}},"Request_condition_regex":{"type":"object","properties":{"$regex":{"type":"string","example":"^吳(小姐|太太|阿姨)"}}},"Item":{"type":"object","required":["_id"],"properties":{"_id":{"type":"string","format":"uuid","example":"ObjectId(615f388e871a89ce4131f8b4)"},"物件名稱":{"type":"string","example":"新裝潢！近世新，明亮舒適優質大套房"},"URL":{"type":"string","format":"url","example":"https://rent.591.com.tw/home/11480919"},"出租者":{"type":"string","example":"許先生"},"聯絡電話":{"type":"string","example":"0912-345-678"},"地區":{"type":"string","example":"台北市"},"性別要求":{"type":"string","example":"男女皆可"},"型態":{"type":"string","example":"公寓"},"現況":{"type":"string","example":"整層住家"},"出租人身分":{"type":"string","example":"屋主"}}},"Item_NewTaipei_boy":{"type":"object","required":["_id"],"properties":{"_id":{"type":"string","format":"uuid","example":"ObjectId(615f388e871a89ce4131f8b4)"},"物件名稱":{"type":"string","example":"土城捷運站極品邊間3房"},"URL":{"type":"string","format":"url","example":"https://rent.591.com.tw/rent-detail-11440439.html"},"出租者":{"type":"string","example":"王先生"},"聯絡電話":{"type":"string","example":"0912-345-678"},"地區":{"type":"string","example":"新北市"},"性別要求":{"type":"string","example":"男女皆可"},"型態":{"type":"string","example":"公寓"},"現況":{"type":"string","example":"整層住家"},"出租人身分":{"type":"string","example":"屋主"}}},"Item_Taipei_msWu":{"type":"object","required":["_id"],"properties":{"_id":{"type":"string","format":"uuid","example":"ObjectId(615f388e871a89ce4131f8b4)"},"物件名稱":{"type":"string","example":"松山區捷運套房近中山國中站，漂亮裝潢"},"URL":{"type":"string","format":"url","example":"https://rent.591.com.tw/rent-detail-11452441.html"},"出租者":{"type":"string","example":"吳阿姨"},"聯絡電話":{"type":"string","example":"0912-345-678"},"地區":{"type":"string","example":"台北市"},"性別要求":{"type":"string","example":"男女皆可"},"型態":{"type":"string","example":"公寓"},"現況":{"type":"string","example":"整層住家"},"出租人身分":{"type":"string","example":"屋主"}}},"Item_renterNotOwner":{"type":"object","required":["_id"],"properties":{"_id":{"type":"string","format":"uuid","example":"ObjectId(615f388e871a89ce4131f8b4)"},"物件名稱":{"type":"string","example":"新裝潢！近世新，明亮舒適優質大套房"},"URL":{"type":"string","format":"url","example":"https://rent.591.com.tw/rent-detail-11474879.html"},"出租者":{"type":"string","example":"林小姐"},"聯絡電話":{"type":"string","example":"0912-345-678"},"地區":{"type":"string","example":"台北市"},"性別要求":{"type":"string","example":"男女皆可"},"型態":{"type":"string","example":"電梯大樓"},"現況":{"type":"string","example":"獨立套房"},"出租人身分":{"type":"string","example":"仲介"}}},"NewItem_type":{"type":"object","required":["_id"],"properties":{"_id":{"type":"string","format":"uuid","example":"ObjectId(89ce4131f8b4)"},"地區":{"type":"string","example":"台北市"},"性別要求":{"type":"string","example":"男女皆可"},"型態":{"type":"string","example":"公寓"},"現況":{"type":"string","example":"整層住家"},"出租人身分":{"type":"string","example":"屋主"}}},"NewItem_info":{"type":"object","required":["_id","Item_type"],"properties":{"_id":{"type":"string","format":"uuid","example":"ObjectId(615f388e871a)"},"物件名稱":{"type":"string","example":"新裝潢！近世新，明亮舒適優質大套房"},"URL":{"type":"string","format":"url","example":"https://rent.591.com.tw/home/11480919"},"出租者":{"type":"string","example":"許先生"},"聯絡電話":{"type":"string","example":"0912-345-678"},"Item_type":{"type":"string","format":"uuid","example":"ObjectId(89ce4131f8b4)"}}}},"host":"virtserver.swaggerhub.com","basePath":"/yizhen1223/591_Item/1.0.0","schemes":["https"]}